| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iNovaHalo Struct Reference
[Lighting]

This is a halo which resembles a nova. More...

`#include <iengine/halo.h>`

Inheritance diagram for iNovaHalo:

[legend]
List of all members.

## Public Member Functions
virtual int | GetRandomSeed ()=0
| Get random seed.
virtual float | GetRoundnessFactor ()=0
| Get the roundness factor.
virtual int | GetSpokeCount ()=0
| Get the number of halo spokes.
virtual void | SetRandomSeed (int s)=0
| Set random seed for generating the halo.
virtual void | SetRoundnessFactor (float r)=0
| Set the roundness factor.
virtual void | SetSpokeCount (int s)=0
| Set the number of halo spokes.

## Detailed Description

This is a halo which resembles a nova.

Definition at line 80 of file halo.h.

## Member Function Documentation

virtual int iNovaHalo::GetRandomSeed | ( |  | ) | `[pure virtual]`

Get random seed.

virtual float iNovaHalo::GetRoundnessFactor | ( |  | ) | `[pure virtual]`

Get the roundness factor.

virtual int iNovaHalo::GetSpokeCount | ( |  | ) | `[pure virtual]`

Get the number of halo spokes.

virtual void iNovaHalo::SetRandomSeed | ( | int | s | ) | `[pure virtual]`

Set random seed for generating the halo.

virtual void iNovaHalo::SetRoundnessFactor | ( | float | r | ) | `[pure virtual]`

Set the roundness factor.

virtual void iNovaHalo::SetSpokeCount | ( | int | s | ) | `[pure virtual]`

Set the number of halo spokes.

The documentation for this struct was generated from the following file:

- iengine/halo.h